# $Revision: 1.11 $, $Date: 2010/07/08 08:35:45 $
%define	module	pyusb
Summary:	PyUSB provides USB access on the Python language
Summary(pl.UTF-8):	PyUSB - dostęp do USB z poziomu języka Python
Name:		python-%{module}
Version:	0.4.2
Release:	2
License:	BSD
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/pyusb/%{module}-%{version}.tar.gz
# Source0-md5:	5667a00af1ac0d5062103b4512e227f8
URL:		http://pyusb.sourceforge.net/
BuildRequires:	libusb-devel
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyUSB provides USB access on the Python language.

%description -l pl.UTF-8
PyUSB daje dostęp do USB z poziomu języka Python.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} ./setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.egg*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyusb.spec,v $
Revision 1.11  2010/07/08 08:35:45  arekm
- release 2

Revision 1.10  2009/09/26 13:54:13  wrobell
- ver. 0.4.2

Revision 1.9  2008/10/03 17:59:39  arekm
- release 2

Revision 1.8  2008-05-07 18:38:09  qboosh
- BR: rpm-pythonprov
- use __python macro

Revision 1.7  2008-01-21 13:20:02  patrys
- 0.4.1
- license is BSD now

Revision 1.6  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.4  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.3  2005/08/05 23:03:59  qboosh
- pl

Revision 1.2  2005/08/04 21:24:51  arekm
- md5

Revision 1.1  2005/08/04 21:24:29  arekm
- new
